﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <TypeScriptCompileBlocked>true</TypeScriptCompileBlocked>
    <TypeScriptToolsVersion>Latest</TypeScriptToolsVersion>
    <IsPackable>false</IsPackable>
    <SpaRoot>ClientApp\</SpaRoot>
    <DefaultItemExcludes>$(DefaultItemExcludes);$(SpaRoot)node_modules\**</DefaultItemExcludes>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
    <NoWarn>$(NoWarn);1591</NoWarn>

    <!-- Set this to true if you enable server-side prerendering -->
    <BuildServerSideRenderer>false</BuildServerSideRenderer>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AspNet.Security.OpenIdConnect.Primitives" Version="2.0.0" />
    <PackageReference Include="OpenIddict.Core" Version="2.0.1" />
    <PackageReference Include="OpenIddict.EntityFrameworkCore" Version="2.0.1" />
    <PackageReference Include="FluentValidation.AspNetCore" Version="8.6.2" />
    <PackageReference Include="MediatR" Version="8.0.1" />
    <PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="8.0.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="3.1.4" />
    <PackageReference Include="Microsoft.AspNetCore.SpaServices.Extensions" Version="3.1.4" />
    <PackageReference Include="NLog" Version="4.7.0" />
    <PackageReference Include="NLog.Web.AspNetCore" Version="4.9.2" />
    <PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="3.1.1" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="5.4.1" />
  </ItemGroup>
  <ItemGroup>
    <!-- Don't publish the SPA source files, but do show them in the project files list -->
    <Content Remove="$(SpaRoot)**" />
    <Content Include="ClientApp\.editorconfig" />
    <Content Include="ClientApp\.gitignore" />
    <Content Include="ClientApp\angular.json" />
    <Content Include="ClientApp\browserslist" />
    <Content Include="ClientApp\package.json" />
    <Content Include="ClientApp\README.md" />
    <Content Include="ClientApp\src\app\app.component.html" />
    <Content Include="ClientApp\src\app\app.component.scss" />
    <Content Include="ClientApp\src\app\dialog\dialog\dialog.component.html" />
    <Content Include="ClientApp\src\app\dialog\dialog\dialog.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\card\components\card-management\card-management.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\card\components\card-management\card-management.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\company\components\company-info-dialog\company-info-dialog.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\company\components\company-info-dialog\company-info-dialog.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\company\components\company-management\company-management.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\company\components\company-management\company-management.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\customer\components\customer-management\customer-management.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\customer\components\customer-management\customer-management.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\dashboard.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\dashboard.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\driver\components\driver-management\driver-management.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\driver\components\driver-management\driver-management.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\driver\components\reject-driver-dialog\reject-driver-dialog.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\driver\components\reject-driver-dialog\reject-driver-dialog.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\driver\components\verify-driver-dialog\verify-driver-dialog.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\driver\components\verify-driver-dialog\verify-driver-dialog.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\extra-service\components\extra-service-info-dialog\extra-service-info-dialog.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\extra-service\components\extra-service-info-dialog\extra-service-info-dialog.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\extra-service\components\extra-service-management\extra-service-management.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\extra-service\components\extra-service-management\extra-service-management.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\home\components\home-page\home-page.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\home\components\home-page\home-page.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\promo\components\promo-info-dialog\promo-info-dialog.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\promo\components\promo-info-dialog\promo-info-dialog.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\promo\components\promo-management\promo-management.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\promo\components\promo-management\promo-management.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\transaction\components\transaction-management\transaction-management.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\transaction\components\transaction-management\transaction-management.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\vehicle\components\vehicle-detail\vehicle-detail.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\vehicle\components\vehicle-detail\vehicle-detail.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\vehicle\components\vehicle-info-dialog\vehicle-info-dialog.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\vehicle\components\vehicle-info-dialog\vehicle-info-dialog.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\vehicle\components\vehicle-management\vehicle-management.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\vehicle\components\vehicle-management\vehicle-management.component.scss" />
    <Content Include="ClientApp\src\app\pages\dashboard\vehicle\components\vehicle-service-info-dialog\vehicle-service-info-dialog.component.html" />
    <Content Include="ClientApp\src\app\pages\dashboard\vehicle\components\vehicle-service-info-dialog\vehicle-service-info-dialog.component.scss" />
    <Content Include="ClientApp\src\app\pages\login\components\login-form\login-form.component.css" />
    <Content Include="ClientApp\src\app\pages\login\components\login-form\login-form.component.html" />
    <Content Include="ClientApp\src\app\pages\logout\components\logout\logout.component.html" />
    <Content Include="ClientApp\src\app\pages\logout\components\logout\logout.component.scss" />
    <Content Include="ClientApp\src\app\pages\not-found\components\not-found\not-found.component.html" />
    <Content Include="ClientApp\src\app\pages\not-found\components\not-found\not-found.component.scss" />
    <Content Include="ClientApp\src\app\pages\pages.component.html" />
    <Content Include="ClientApp\src\app\pages\pages.component.scss" />
    <Content Include="ClientApp\src\app\pages\set-password\components\set-password-form\set-password-form.component.html" />
    <Content Include="ClientApp\src\app\pages\set-password\components\set-password-form\set-password-form.component.scss" />
    <Content Include="ClientApp\src\app\shared\form-error\form-error.component.html" />
    <Content Include="ClientApp\src\app\shared\form-error\form-error.component.scss" />
    <Content Include="ClientApp\src\app\shared\navbar\navbar.component.html" />
    <Content Include="ClientApp\src\app\shared\navbar\navbar.component.scss" />
    <Content Include="ClientApp\src\app\shared\paginator\paginator.component.html" />
    <Content Include="ClientApp\src\app\shared\paginator\paginator.component.scss" />
    <Content Include="ClientApp\src\app\shared\search-box\search-box.component.css" />
    <Content Include="ClientApp\src\app\shared\search-box\search-box.component.html" />
    <Content Include="ClientApp\src\app\shared\sidebar\sidebar.component.css" />
    <Content Include="ClientApp\src\app\shared\sidebar\sidebar.component.html" />
    <Content Include="ClientApp\src\assets\.gitkeep" />
    <Content Include="ClientApp\src\assets\css\all.css" />
    <Content Include="ClientApp\src\assets\css\all.min.css" />
    <Content Include="ClientApp\src\assets\css\brands.css" />
    <Content Include="ClientApp\src\assets\css\brands.min.css" />
    <Content Include="ClientApp\src\assets\css\demo.css" />
    <Content Include="ClientApp\src\assets\css\fontawesome.css" />
    <Content Include="ClientApp\src\assets\css\fontawesome.min.css" />
    <Content Include="ClientApp\src\assets\css\regular.css" />
    <Content Include="ClientApp\src\assets\css\regular.min.css" />
    <Content Include="ClientApp\src\assets\css\solid.css" />
    <Content Include="ClientApp\src\assets\css\solid.min.css" />
    <Content Include="ClientApp\src\assets\css\svg-with-js.css" />
    <Content Include="ClientApp\src\assets\css\svg-with-js.min.css" />
    <Content Include="ClientApp\src\assets\css\v4-shims.css" />
    <Content Include="ClientApp\src\assets\css\v4-shims.min.css" />
    <Content Include="ClientApp\src\assets\fonts\nucleo-icons.eot" />
    <Content Include="ClientApp\src\assets\fonts\nucleo-icons.ttf" />
    <Content Include="ClientApp\src\assets\fonts\nucleo-icons.woff" />
    <Content Include="ClientApp\src\assets\fonts\nucleo-icons.woff2" />
    <Content Include="ClientApp\src\assets\img\banner.jpg" />
    <Content Include="ClientApp\src\assets\img\bg.png" />
    <Content Include="ClientApp\src\assets\img\default-user.png" />
    <Content Include="ClientApp\src\assets\img\default.jpg" />
    <Content Include="ClientApp\src\assets\img\general-banner.jpg" />
    <Content Include="ClientApp\src\assets\img\logo.jpg" />
    <Content Include="ClientApp\src\assets\img\logo.png" />
    <Content Include="ClientApp\src\assets\js\jquery.validate.min.js" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-background.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-chart.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-collapse.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-contributions.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-info-area.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-lock.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-map.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-plain.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-pricing.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-profile.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-signup.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-stats-mini.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-stats.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-subcategories.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-tasks.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-testimonials.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\cards\_card-user.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_badges.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_buttons.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_cards.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_chartist.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_dropdown.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_inputs.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_modals.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_page-header.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_popovers.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_social-buttons.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_tags.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_transparency.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_vendor-prefixes-extend.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_vendor-prefixes.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\mixins\_wizard.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-animate-bootstrap-notify.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-bootstrap-select.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-bootstrap-switch.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-bootstrap-table.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-card-wizard.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-datatables.net.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-datetimepicker.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-fullcalendar.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-jasny-fileupload.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-jquery.jvectormap.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-nouislider.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-perfect-scrollbar.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-sweetalert2.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\plugins\_plugin-tagsinput.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_alerts.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_animated-buttons.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_badges.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_buttons.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_cards.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_carousel.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_checkboxes-radio.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_dropdown.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_example-pages.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_fixed-plugin.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_footers.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_images.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_info-areas.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_inputs.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_media-queries.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_misc-extend.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_misc.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_mixins.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_modals.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_navbar.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_nucleo-outline.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_page-header.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_pagination.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_pills.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_popups.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_progress.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_responsive.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_sections.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_sidebar-and-main-panel.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_social-buttons.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_tables.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_tabs.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_timeline.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_typography.scss" />
    <Content Include="ClientApp\src\assets\scss\paper-dashboard\_variables.scss" />
    <Content Include="ClientApp\src\assets\webfonts\fa-brands-400.eot" />
    <Content Include="ClientApp\src\assets\webfonts\fa-brands-400.svg" />
    <Content Include="ClientApp\src\assets\webfonts\fa-brands-400.ttf" />
    <Content Include="ClientApp\src\assets\webfonts\fa-brands-400.woff" />
    <Content Include="ClientApp\src\assets\webfonts\fa-brands-400.woff2" />
    <Content Include="ClientApp\src\assets\webfonts\fa-regular-400.eot" />
    <Content Include="ClientApp\src\assets\webfonts\fa-regular-400.svg" />
    <Content Include="ClientApp\src\assets\webfonts\fa-regular-400.ttf" />
    <Content Include="ClientApp\src\assets\webfonts\fa-regular-400.woff" />
    <Content Include="ClientApp\src\assets\webfonts\fa-regular-400.woff2" />
    <Content Include="ClientApp\src\assets\webfonts\fa-solid-900.eot" />
    <Content Include="ClientApp\src\assets\webfonts\fa-solid-900.svg" />
    <Content Include="ClientApp\src\assets\webfonts\fa-solid-900.ttf" />
    <Content Include="ClientApp\src\assets\webfonts\fa-solid-900.woff" />
    <Content Include="ClientApp\src\assets\webfonts\fa-solid-900.woff2" />
    <Content Include="ClientApp\src\index.html" />
    <Content Include="ClientApp\src\karma.conf.js" />
    <Content Include="ClientApp\src\styles.css" />
    <Content Include="ClientApp\src\tsconfig.app.json" />
    <Content Include="ClientApp\src\tsconfig.server.json" />
    <Content Include="ClientApp\src\tsconfig.spec.json" />
    <Content Include="ClientApp\src\tslint.json" />
    <Content Include="ClientApp\tsconfig.json" />
    <Content Include="ClientApp\tslint.json" />
    <None Remove="$(SpaRoot)**" />
    <None Include="$(SpaRoot)**" Exclude="$(SpaRoot)node_modules\**" />
    <None Include="ClientApp\src\hmr.ts" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\HospitalApp.Application\HospitalApp.Application.csproj" />
    <ProjectReference Include="..\HospitalApp.Common\HospitalApp.Common.csproj" />
    <ProjectReference Include="..\HospitalApp.Infrastructure\HospitalApp.Infrastructure.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="ClientApp\src\app\pages\dashboard\home\services" />
  </ItemGroup>

  <Target Name="DebugEnsureNodeEnv" BeforeTargets="Build" Condition=" '$(Configuration)' == 'Debug' And !Exists('$(SpaRoot)node_modules') ">
    <!-- Ensure Node.js is installed -->
    <Exec Command="node --version" ContinueOnError="true">
      <Output TaskParameter="ExitCode" PropertyName="ErrorCode" />
    </Exec>
    <Error Condition="'$(ErrorCode)' != '0'" Text="Node.js is required to build and run this project. To continue, please install Node.js from https://nodejs.org/, and then restart your command prompt or IDE." />
    <Message Importance="high" Text="Restoring dependencies using 'npm'. This may take several minutes..." />
    <Exec WorkingDirectory="$(SpaRoot)" Command="npm install" />
  </Target>

  <Target Name="PublishRunWebpack" AfterTargets="ComputeFilesToPublish">
    <!-- As part of publishing, ensure the JS resources are freshly built in production mode -->
    <Exec WorkingDirectory="$(SpaRoot)" Command="npm install" />
    <Exec WorkingDirectory="$(SpaRoot)" Command="npm run build -- --prod" />
    <Exec WorkingDirectory="$(SpaRoot)" Command="npm run build:ssr -- --prod" Condition=" '$(BuildServerSideRenderer)' == 'true' " />

    <!-- Include the newly-built files in the publish output -->
    <ItemGroup>
      <DistFiles Include="$(SpaRoot)dist\**; $(SpaRoot)dist-server\**" />
      <DistFiles Include="$(SpaRoot)node_modules\**" Condition="'$(BuildServerSideRenderer)' == 'true'" />
      <ResolvedFileToPublish Include="@(DistFiles->'%(FullPath)')" Exclude="@(ResolvedFileToPublish)">
        <RelativePath>%(DistFiles.Identity)</RelativePath>
        <CopyToPublishDirectory>PreserveNewest</CopyToPublishDirectory>
        <ExcludeFromSingleFile>true</ExcludeFromSingleFile>
      </ResolvedFileToPublish>
    </ItemGroup>
  </Target>

</Project>
